curl "https://zeplo.ai/api/templates?status=APPROVED" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "welcome_message",
"category": "MARKETING",
"status": "APPROVED",
"language": "en",
"body": "Welcome to {{1}}! We're excited to have you.",
"header": null,
"footer": "Reply STOP to unsubscribe",
"buttons": [
{ "type": "QUICK_REPLY", "text": "Get Started" }
],
"channelId": "647015955153740",
"metaTemplateId": "1234567890",
"createdAt": "2026-01-01T08:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 15,
"totalPages": 1
}
}
Templates
GET List Templates
Retrieve WhatsApp message templates.
GET
/
api
/
templates
curl "https://zeplo.ai/api/templates?status=APPROVED" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "welcome_message",
"category": "MARKETING",
"status": "APPROVED",
"language": "en",
"body": "Welcome to {{1}}! We're excited to have you.",
"header": null,
"footer": "Reply STOP to unsubscribe",
"buttons": [
{ "type": "QUICK_REPLY", "text": "Get Started" }
],
"channelId": "647015955153740",
"metaTemplateId": "1234567890",
"createdAt": "2026-01-01T08:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 15,
"totalPages": 1
}
}
List templates
GET /api/templates
Retrieve all WhatsApp message templates for the authenticated user.
Headers
string
required
Session cookie (login via POST /api/auth/login)
Query parameters
integer
default:"1"
Page number.
integer
default:"20"
Items per page.
string
Filter:
APPROVED, PENDING, REJECTED, PAUSED.string
Filter:
MARKETING, UTILITY, AUTHENTICATION.string
Search template name.
curl "https://zeplo.ai/api/templates?status=APPROVED" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": [
{
"id": 1,
"name": "welcome_message",
"category": "MARKETING",
"status": "APPROVED",
"language": "en",
"body": "Welcome to {{1}}! We're excited to have you.",
"header": null,
"footer": "Reply STOP to unsubscribe",
"buttons": [
{ "type": "QUICK_REPLY", "text": "Get Started" }
],
"channelId": "647015955153740",
"metaTemplateId": "1234567890",
"createdAt": "2026-01-01T08:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 15,
"totalPages": 1
}
}
Get templates by user
GET /api/templatesByUserId
curl https://zeplo.ai/api/templatesByUserId \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
